#include <Servo.h> 
Servo myservo;  // create servo object to control a servo 


// variables for the rotation
int angle=90; // servo motor angle
int stepServo=0; // rotation step

// pins
int buttonL=2; // pin of buttonLeft
int buttonR=3; // pin of buttonRight
int ServoPin=9; // servoPins

int buttonStateL = 0; // state of Left button        
int buttonStateR = 0; // state of Right button

void setup() {
  Serial.begin(9600);
  myservo.attach(ServoPin);  // attaches the servo on pin 9 to the servo object 
  pinMode(buttonL, INPUT); // set pin ButtonLeft
  pinMode(buttonR, INPUT); // set pin ButtonRight
}

void loop() {

  // read buttons
  buttonStateL = digitalRead(buttonL);
  buttonStateR = digitalRead(buttonR);

  if (buttonStateL == HIGH && buttonStateR == HIGH) {
    stepServo=0;
  }

  if (buttonStateL == LOW && buttonStateR == LOW) {
    stepServo=0;
  }

  if (buttonStateL == HIGH && buttonStateR == LOW) {
    stepServo=-1;
  }

  if (buttonStateL == LOW && buttonStateR == HIGH) {
    stepServo=1;
  }

  // print button's state on serial window
  Serial.print("buttonStateL ");
  Serial.print(buttonStateL);
  Serial.print(", buttonStateR ");
  Serial.println(buttonStateR);

  angle=angle+stepServo;

  // define the borders
  if(angle<0) { 
    angle=0;
  }
  if(angle>179) { 
    angle=179;
  }

  myservo.write(angle);
  Serial.println(angle);
  delay(20);
}







