// Controlling a servo position using a potentiometer (variable resistor) 
// by Michal Rinott <http://people.interaction-ivrea.it/m.rinott> 

#include <Servo.h> 

Servo myservo;  // create servo object to control a servo 

int potpin = A0;  // analog pin used to connect the potentiometer
int val;    // variable to read the value from the analog pin 
int plus=1;
int a=0;

void setup() 
{ 
  myservo.attach(9);  // attaches the servo on pin 9 to the servo object 
  myservo.write(0); 
  delay(100);
  Serial.begin(9600);
} 

void loop() 
{ 
  if (a<0 || a>179) {
    plus=-plus;
  }
  a=a+plus;
  //    val = analogRead(potpin);            // reads the value of the potentiometer (value between 0 and 1023) 
  //    val = map(val, 0, 1023, 0, 179);     // scale it to use it with the servo (value between 0 and 180) 
  myservo.write(a);                  // sets the servo position according to the scaled value 

  Serial.println(a);
    delay(25);  

} 


